MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# mixer Struct Reference

`#include <mixer_api.h>`

## Data Fields
home andy builds mpd src mpd src mixer_api h home andy builds mpd src mpd src mixer_api h struct mixer_plugin * | plugin
GMutex * | mutex
| This mutex protects all of the mixer struct, including its implementation, so plugins don't have to deal with that.
bool | open
| Is the mixer device currently open?
bool | failed
| Has this mixer failed, and should not be reopened automatically?

## Detailed Description

Definition at line 28 of file mixer_api.h.

## Field Documentation

bool mixer::failed

Has this mixer failed, and should not be reopened automatically?

Definition at line 48 of file mixer_api.h.

GMutex* mixer::mutex

This mutex protects all of the mixer struct, including its implementation, so plugins don't have to deal with that.

Definition at line 37 of file mixer_api.h.

bool mixer::open

Is the mixer device currently open?

Definition at line 42 of file mixer_api.h.

home andy builds mpd src mpd src mixer_api h home andy builds mpd src mpd src mixer_api h struct mixer_plugin* mixer::plugin

Definition at line 31 of file mixer_api.h.

The documentation for this struct was generated from the following file:

- src/mixer_api.h